Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the XML-Atom-SimpleFeed CPAN distribution.

Report information
The Basics
Id: 12496
Status: resolved
Priority: 0/
Queue: XML-Atom-SimpleFeed

People
Owner: Nobody in particular
Requestors: justin [...] skazat.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: (no value)
Fixed in: (no value)



Subject: Unrecognised option: AttrIndent a perllib/XML/Atom/SimpleFeed.pm line 218
Download (untitled) / with headers
text/plain 171b
Looks like .6 introduced the following bug: Unrecognised option: AttrIndent at /perllib/XML/Atom/SimpleFeed.pm line 218 This seems to break the atom feed completly.
Download (untitled) / with headers
text/plain 458b
[guest - Mon May 2 01:02:25 2005]: Show quoted text
> Looks like .6 introduced the following bug: > > Unrecognised option: AttrIndent at /perllib/XML/Atom/SimpleFeed.pm line 218 > > This seems to break the atom feed completly.
That's in the XML::Simple XMLout() function, so my guess is that you've got an old version of XML::Simple that I'm not testing for. Could you check on which version you're using, while I investigate a good minimum version for that module?
From: Justin
Download (untitled) / with headers
text/plain 925b
Ah. .05 didn't require any of the XML::* modules - that's what made this particular module very attractive to me, as it's being distributed with a program of mine called, Dada Mail -> http://dadamail.org Bad timing for me, since I'm going to attempt to ship a new version very soon. I guess I'll ship with ver. .05 this version and then figure out what I'm going to do later :) Cheers, Justin [MINTER - Wed May 4 18:57:06 2005]: Show quoted text
> [guest - Mon May 2 01:02:25 2005]: >
> > Looks like .6 introduced the following bug: > > > > Unrecognised option: AttrIndent at /perllib/XML/Atom/SimpleFeed.pm
> line 218
> > > > This seems to break the atom feed completly.
> > That's in the XML::Simple XMLout() function, so my guess is that > you've got an old version of > XML::Simple that I'm not testing for. Could you check on which > version you're using, while I > investigate a good minimum version for that module?
Download (untitled) / with headers
text/plain 956b
[guest - Thu May 5 23:54:40 2005]: Show quoted text
> Ah. > > .05 didn't require any of the XML::* modules - that's what made this > particular module very attractive to me, as it's being distributed with > a program of mine called, Dada Mail -> http://dadamail.org > > Bad timing for me, since I'm going to attempt to ship a new version very > soon. I guess I'll ship with ver. .05 this version and then figure out > what I'm going to do later :)
You do Dada Mail? Outstanding program - a guy I consult with uses it for all his clients. Yeah, unfortunately someone found several fundamental errors in the program that could only be solved by using a "real" XML parser instead of just spitting out strings. 0.5 might work alright for the basic case, but it would break on several encoding issues and other things that make XML complicated. So I've got some problems in the Makefile that need to be addressed, but yeah, you'll need XML::Simple going forward.
Download (untitled) / with headers
text/plain 714b
[guest - Thu May 5 23:54:40 2005]: Show quoted text
> Ah. > > .05 didn't require any of the XML::* modules - that's what made this > particular module very attractive to me, as it's being distributed with > a program of mine called, Dada Mail -> http://dadamail.org > > Bad timing for me, since I'm going to attempt to ship a new version very > soon. I guess I'll ship with ver. .05 this version and then figure out > what I'm going to do later :)
One thing you may be able to do is include XML::SAX::PurePerl and XML::Simple in your DADA/perllib area, since both of those would be pure-perl and should in theory be portable across platforms. Then you could use XML::Atom::SimpleFeed >= 0.6 Might be worth playing with.
Download (untitled) / with headers
text/plain 204b
I've released XML::Atom::SimpleFeed 0.7, which fixes a bug in Makefile.PL that was preventing the module prerequisites from being parsed properly, so now it should complain if it can't find XML::Simple.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.